import Model

extension Piece: CustomStringConvertible {
    public var description: String {
        switch self {
        case .PlayerA:
            "🔴"
        case .PlayerB:
            "🟡"
        }
    }
}

extension Board: CustomStringConvertible, CustomDebugStringConvertible {
    public var description: String {
        var str = String()
        
        for row in 0..<self.rows {
            for col in 0..<self.columns {
                str += self[col, row]?.description ?? "  "
            }
            
            str += "\n"
        }
        
        return str
    }
    
    public var debugDescription: String {
        let (a, b) = self.countPieces()
        return "Board[\(self.columns)x\(self.rows), \(a) A and \(b) B pieces]"
    }
}


